package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class SubjectQueryInfo extends QueryInfo {
    @ApiModelProperty(value = "父节点编号，默认0",required = false)
    private Integer parentId = 0;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private YesOrNoEnum delFlag = YesOrNoEnum.NO;

    @ApiModelProperty(value = "对内1对外2",required = false)
    private Integer tenantId;

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public YesOrNoEnum getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(YesOrNoEnum delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
}
